from annoying.fields import AutoOneToOneField
from django.db import models


class LabProfile(models.Model):
    member = AutoOneToOneField(
        to='members.Member',
        on_delete=models.CASCADE,
        related_name='profile_lab',
    )
    is_werkstatt_member = models.BooleanField(default=False)
    has_allgemeine_sicherheitseinweisung = models.BooleanField(default=False)
    is_keyholder = models.BooleanField(default=False)
    ssh_public_key = models.TextField(null=True, blank=True)
